{
  "name": "wacc-syntax",
  "displayName": "intelliWACC",
  "description": "WACC language support features",
  "version": "0.0.1",
  "engines": {
    "vscode": "^1.97.0"
  },
  "categories": [
    "Programming Languages"
  ],
  "contributes": {
    "languages": [{
      "id": "wacc",
      "aliases": ["WACC", "wacc"],
      "extensions": [".wacc"],
      "configuration": "./language-configuration.json"
    }],
    "grammars": [{
      "language": "wacc",
      "scopeName": "source.wacc",
      "path": "./syntaxes/wacc.tmLanguage.json"
    }],
    "properties": {
      "files.exclude": {
        "type": "object",
        "default": {
          "**/.temp_wacc_file.*": true
        },
        "description": "Configure patterns for excluding files and folders."
      }
    }
  },
  "scripts": {
    "build": "vsce package"
  },
  "main": "./extension.js"
}
